### Signal

# Panel DocumentWorkspace::create-frame

since: 1.4

#### Declaration

    PanelFrame*
    create_frame (
      PanelDocumentWorkspace* self,
      PanelPosition* position,
      gpointer user_data
    )

#### Description [src]

Creates a new `PanelFrame` to be added to the document grid.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.4

#### Parameters

`position`

  Type: `PanelPosition`

  The position of the frame.

  The data is owned by the caller of the function.

#### Return value

Type: `PanelFrame`

A `PanelFrame`.

The caller of the function takes ownership of the data, and is responsible for freeing it.